From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 18 December 2008<P>

A week until Christmas!<BR>
<BR>
Dunno about y'all but I need to get my gift mojo in gear a bit more than I have been.
<HR>
From: <a href="/blend/av.cgi?id=1932">sapphyres_serenade</a><BR>
Date: 18 December 2008<P>

I've been busier than a bee trying to get everything done...and now...i really don't care anymore. If I could write a poem about the issue at hand I would, but I'm so blank about it, it has emptied me completely of emotion, I want the holidays to be over and to just escape, and I can't.<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=1754">lovecraft</a><BR>
Date: 18 December 2008<P>

 Thanks for the front page pick. Congratulations, as always, to all others who've made the front page. Happy Holidays everyone!
<HR>